package com.xkrs.straw.service;

import com.xkrs.straw.model.qo.AllFirePointQo;

public interface DispatchFirePointService {

    /**
     * 普通渠道推送火点到秸秆系统
     */
    String insertFirePointChannelOrdinary(AllFirePointQo firePointQo);

    /**
     * 精准渠道推送火点到秸秆系统
     */
    String insertFirePointChannelPrecise(AllFirePointQo firePointQo);

    /**
     * 查询火点播报（无token）
     *
     * @param limit 最大数量
     */
    String queryFirePointBroadcast(Integer limit);
}
