package com.xkrs.straw.service;

import com.xkrs.straw.model.entity.NoticeEntity;

/**
 * 公告栏通知接口
 */
public interface NoticeService {

    /**
     * 添加通知
     */
    String insertNotice(String token, NoticeEntity insertQo);

    /**
     * 删除通知
     */
    String deleteNotice(String token, Long id);

    /**
     * 更新通知
     */
    String updateNotice(String token, NoticeEntity updateQo);

    /**
     * 查询通知
     */
    String queryNotice(String token);

    /**
     * 查询通知
     */
    String queryNotice();

    /**
     * 已读通知
     */
    String readNotice(String token, Long id);

}
