package com.xkrs.straw.utils;

import com.xkrs.straw.model.entity.SysUserEntity;
import com.xkrs.straw.model.vo.SysUserVo;

public class SysUserConvertUtils {

    private SysUserConvertUtils() {
    }

    public static SysUserVo convert(SysUserEntity entity) {
        SysUserVo sysUserVo = new SysUserVo();
        sysUserVo.setId(entity.getId());
        sysUserVo.setUserName(entity.getUserName());
        sysUserVo.setReallyName(entity.getReallyName());
        sysUserVo.setTelephone(entity.getTelephone());
        sysUserVo.setCountyCode(entity.getCountyCode());
        sysUserVo.setCountyName(entity.getCountyName());
        sysUserVo.setActiveFlag(entity.getActiveFlag());
        sysUserVo.setAddTime(entity.getAddTime());
        sysUserVo.setAccountType(entity.getAccountType());
        sysUserVo.setLoginNum(entity.getLoginNum());
        sysUserVo.setLoginLastTime(entity.getLoginLastTime());
        sysUserVo.setVipLevel(entity.getVipLevel());
        sysUserVo.setReceiveSms(entity.getReceiveSms());
        sysUserVo.setReceiveSmsCount(entity.getReceiveSmsCount());
        sysUserVo.setRemark(entity.getRemark());
        sysUserVo.setOverTime(VipTimeRangeUtils.obtainLastOverTime(entity.getVipTimeRangeJson()));
        return sysUserVo;
    }

}
