package com.xkrs.straw.model.vo;

public class SysUserVo {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    private Long id;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户真实姓名
     */
    private String reallyName;

    /**
     * 手机号
     */
    private String telephone;

    private String countyCode;

    private String countyName;

    /**
     * 0：正常用户
     * 1：被禁用的用户
     */
    private Integer activeFlag;

    private String addTime;

    /**
     * 账号类别
     */
    private String accountType;

    /**
     * 登录次数
     */
    private Integer loginNum;

    /**
     * 用户最新登录时间
     */
    private String loginLastTime;

    /**
     * vip等级
     */
    private Integer vipLevel;

    /**
     * 是否接收短信
     */
    private Integer receiveSms;

    /**
     * 一共接收了多少条短信
     */
    private Long receiveSmsCount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 过期时间
     */
    private String overTime;

    public SysUserVo() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getReallyName() {
        return reallyName;
    }

    public void setReallyName(String reallyName) {
        this.reallyName = reallyName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public Integer getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(Integer activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public Integer getLoginNum() {
        return loginNum;
    }

    public void setLoginNum(Integer loginNum) {
        this.loginNum = loginNum;
    }

    public String getLoginLastTime() {
        return loginLastTime;
    }

    public void setLoginLastTime(String loginLastTime) {
        this.loginLastTime = loginLastTime;
    }

    public Integer getVipLevel() {
        return vipLevel;
    }

    public void setVipLevel(Integer vipLevel) {
        this.vipLevel = vipLevel;
    }

    public Integer getReceiveSms() {
        return receiveSms;
    }

    public void setReceiveSms(Integer receiveSms) {
        this.receiveSms = receiveSms;
    }

    public Long getReceiveSmsCount() {
        return receiveSmsCount;
    }

    public void setReceiveSmsCount(Long receiveSmsCount) {
        this.receiveSmsCount = receiveSmsCount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOverTime() {
        return overTime;
    }

    public void setOverTime(String overTime) {
        this.overTime = overTime;
    }

    @Override
    public String toString() {
        return "SysUserVo{" + "id=" + id + ", userName='" + userName + '\'' + ", reallyName='" + reallyName + '\'' + ", telephone='" + telephone + '\'' + ", countyCode='" + countyCode + '\'' + ", countyName='" + countyName + '\'' + ", activeFlag=" + activeFlag + ", addTime='" + addTime + '\'' + ", accountType='" + accountType + '\'' + ", loginNum=" + loginNum + ", loginLastTime='" + loginLastTime + '\'' + ", vipLevel=" + vipLevel + ", receiveSms=" + receiveSms + ", receiveSmsCount=" + receiveSmsCount + ", remark='" + remark + '\'' + ", overTime='" + overTime + '\'' + '}';
    }
}
