package com.xkrs.straw.service.impl;

import com.xkrs.straw.dao.SysRoleDao;
import com.xkrs.straw.model.entity.SysRoleEntity;
import com.xkrs.straw.service.SysRoleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统角色服务实现
 */
@Service
public class SysRoleServiceImpl implements SysRoleService {

    @Resource
    private SysRoleDao sysRoleDao;

    @Override
    public List<SysRoleEntity> getSysRoleListByUserName(String userName) {
        return sysRoleDao.selectByUserName(userName);
    }
}
